<template>
  <v-layout>
    <div
      class="d-flex h-100 w-100 pt-3 pb-3 justify-content-center align-items-center"
    >
      <div class="card-main d-flex flex-column w-95 w-sm-50">
        <div
          class="d-flex ml-3 mr-3 p-3 align-items-center justify-content-start border-bottom"
        >
          <plusIcon class="icon-small-squad icon--brown" />
          <span class="text--gray font-large font-bold ml-3"
            >Cadastro de usuário</span
          >
        </div>
        <div class="pt-4 pb-4">
          <div class="d-flex w-100 pt-3">
            <div class="d-flex flex-column align-items-left col-8 font-small">
              <input
                id="completeName"
                type="text"
                class="input input-rounded w-100 text--gray"
                placeholder="Nome completo"
                v-model="model.name"
              />
            </div>
          </div>
          <div class="d-flex w-100 pt-3">
            <div class="d-flex flex-column align-items-left col-8 font-small">
              <input
                id="cpf"
                type="text"
                class="input input-rounded w-100 text--gray"
                placeholder="CPF"
                v-model="model.cpf"
              />
            </div>
          </div>
          <div class="d-flex w-100 pt-3">
            <div class="d-flex flex-column align-items-left col-8 font-small">
              <input
                id="email"
                type="text"
                class="input input-rounded w-100 text--gray"
                placeholder="E-mail"
                v-model="model.email"
              />
            </div>
          </div>
          <div class="d-flex w-100 pt-3">
            <div class="d-flex flex-column col-8 font-small">
              <input
                id="phone"
                type="text"
                class="input input-rounded w-100 text--gray"
                placeholder="Telefone"
                v-model="model.phone"
              />
            </div>
          </div>
        </div>
        <div class="d-flex pb-3 pt-3 mt-4 ml-3 mr-3 border-top">
          <div class="d-flex col-6 justify-content-start">
            <button
              class="btn d-flex justify-content-center bg-none p-2 pl-4 pr-4 btn text-green font-medium"
              title="Cancelar"
              v-on:click="cleanModel"
            >
              Cancelar
            </button>
          </div>
          <div class="d-flex col-6 justify-content-end">
            <router-link
              class="btn d-flex justify-content-center bg--primary p-2 pl-4 pr-4 ml-5 btn text-white font-medium"
              :to="{
                name: 'person-registry-user',
                params: { obj: model.json }
              }"
              title="Inserir dados de contato"
              >Próximo</router-link
            >
          </div>
        </div>
      </div>
    </div>
  </v-layout>
</template>
<script>
/* =============
 *   Home screen
 *  =============
 */
import VLayout from "@/layouts/External";
import plusIcon from "@/static/icon/plus.svg";
import Person from "@/models/Person";

export default {
  name: "login",
  data() {
    return {
      model: new Person()
    };
  },
  validations: {},
  methods: {
    cleanModel() {
      this.model = new Person();
    }
  },
  beforeMount() {
    const self = this;
    if (self.$route.params.obj) {
      self.model.montaModel(self.$route.params.obj);
    }
  },
  components: {
    VLayout,
    plusIcon
  }
};
</script>
